Bug 77097 - gv can't display file that ghostscript can
gv can't display file that ghostscript can
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gv (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-31 23:08 EST by Jonathan Kamens
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-01 11:34:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
AppleWorks file that gv can't handle (73.72 KB, application/postscript)
2002-10-31 23:10 EST, Jonathan Kamens
no flags Details

  None (edit)
Description Jonathan Kamens 2002-10-31 23:08:57 EST
The attached postscript file was produced by AppleWorks 6 running on MacOS 9. 
If I run "ghostscript" on it, it displays just fine.  However, if I run "gv" on
it, I get an error popup with this in it:

Unrecoverable error: rangecheck in setscreen
Operand stack:
    1.24912e-05  0  --nostringval--

Error: PostScript interpreter failed in main window.

I have what's current in Raw Hide, in particular gv-3.5.8-19,
ghostscript-7.05-22, and these versions of the packages on which they depend
(most of these are probably irrelevant, but too much information is better than
too little):

Omni-0.7.0-6
VFlib2-2.25.6-8
XFree86-libs-4.2.1-8
Xaw3d-1.5-16
bash-2.05b-7
cups-libs-1.1.15-12
freetype-2.1.2-7
gimp-print-4.2.1-5
glib-1.2.10-8
glibc-2.3.1-5
glibc-debug-2.3.1-5
libpng-1.2.2-6
libstdc++-3.2-11
perl-5.8.0-58
urw-fonts-2.0-26
zlib-1.1.4-4
Comment 1 Jonathan Kamens 2002-10-31 23:10:29 EST
Created attachment 83009 [details]
AppleWorks file that gv can't handle
Comment 2 Bill Nottingham 2006-08-07 21:29:30 EDT
'Red Hat Raw Hide' refers to the development tree for Red Hat Linux. Red Hat
Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues were not resolved in a more timely manner.
However, the issues listed in these bugs are in packages that are no longer
shipped in a current Fedora Core release. Hence, we are closing these bugs CANTFIX.
Comment 3 Jonathan Kamens 2006-08-10 04:03:21 EDT
This is still an issue in gv-3.6.1-7.fc5.i386.rpm in Fedora Extras.
Comment 4 M. Steinborn 2007-06-29 02:46:44 EDT
This bug is fixed upstream since yesterday night. The fix is in the upstream CVS
'nd will be included in the release 3.6.3 which will be released soon.
Comment 5 M. Steinborn 2007-06-29 15:25:45 EDT
GV 3.6.3 has been released today.
Comment 6 Dan Williams 2007-10-31 22:44:39 EDT
-> orion
Comment 7 Orion Poplawski 2007-11-01 11:34:48 EDT
gv 3.6.3 is in devel and will be in F-8.  If you would like an update for
earlier versions let me know.

Note You need to log in before you can comment on or make changes to this bug.